## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# TopLevelArg Class Reference

This class holds an instance of an argument on the stack. More...

Collaboration diagram for TopLevelArg:

[legend]
List of all members.

## Public Member Functions

- TopLevelArg (MemoryManagerType &theManager, const XalanQName &name, const XalanDOMString &expr)
    Construct an argument object from a string expression.
- TopLevelArg (MemoryManagerType &theManager, const XalanQName &name, const XObjectPtr variable=XObjectPtr())
    Construct an argument object from an XObject instance.
- TopLevelArg (const TopLevelArg &theSource, MemoryManagerType &theManager)
    Copy constructor.
- ~TopLevelArg ()
    Destructor.
- const XalanQName & getName () const
    Retrieve object name.
- const XalanDOMString & getExpression () const
    Retrieve object's expression.
- const XObjectPtr getXObject () const
    Retrieve object's XObject variable.
- TopLevelArg & operator= (const TopLevelArg &theRHS)
    Assignment operator.

## Static Public Member Functions

- TopLevelArg * create (MemoryManagerType &theManager, const XalanQName &name, const XalanDOMString &expr)
- TopLevelArg * create (MemoryManagerType &theManager, const XalanQName &name, const XObjectPtr variable=XObjectPtr())

## Detailed Description

This class holds an instance of an argument on the stack.

## Constructor & Destructor Documentation

TopLevelArg::TopLevelArg | ( | MemoryManagerType & | theManager,
|  | const XalanQName & | name,
|  | const XalanDOMString & | expr
| ) |

  | Construct an argument object from a string expression. Parameters:
  name | name of argument
  expr | expression argument represents

TopLevelArg::TopLevelArg | ( | MemoryManagerType & | theManager,
|  | const XalanQName & | name,
|  | const XObjectPtr | variable = XObjectPtr()
| ) |

  | Construct an argument object from an XObject instance. Parameters:
  name | name of argument
  variable | the XObject instance.

TopLevelArg::TopLevelArg | ( | const TopLevelArg & | theSource,
|  | MemoryManagerType & | theManager
| ) |

  | Copy constructor. Parameters:
  theSource | the TopLevelArg to copy.

TopLevelArg::~TopLevelArg | ( |  | ) |

| Destructor.

## Member Function Documentation

TopLevelArg* TopLevelArg::create | ( | MemoryManagerType & | theManager,
|  | const XalanQName & | name,
|  | const XObjectPtr | variable = XObjectPtr()
| ) | `[static]`

TopLevelArg* TopLevelArg::create | ( | MemoryManagerType & | theManager,
|  | const XalanQName & | name,
|  | const XalanDOMString & | expr
| ) | `[static]`

const XalanDOMString& TopLevelArg::getExpression | ( |  | ) | const

| Retrieve object's expression. Returns: string representation of expression

const XalanQName& TopLevelArg::getName | ( |  | ) | const

| Retrieve object name. Returns: qualified name of object

const XObjectPtr TopLevelArg::getXObject | ( |  | ) | const

| Retrieve object's XObject variable. Returns: pointer to the XObject instance

TopLevelArg& TopLevelArg::operator= | ( | const TopLevelArg & | theRHS | ) |

| Assignment operator.

The documentation for this class was generated from the following file:

- TopLevelArg.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.